Jump to content
MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. ×

Extreme Explorer 360 Chromium 78-86 General Discussion


Recommended Posts

18 hours ago, Humming Owl said:

By the way (in reference to @ArcticFoxie), I know you translated a lot of Chinese text in the browser. Can you pass me the thread of those modifications?, I will incorporate some of your translation work into the modified version. 

Thanks in advance.

Looks like I didn't take notes beyond what I posted in this thread  --  https://msfn.org/board/topic/182370-extreme-explorer-360-a-how-to-guide-converting-remaining-chinese-to-english/

Hope that helps.

  • Like 1
Link to comment
Share on other sites


2 hours ago, Dave-H said:

IIRC the EU were looking into making memes which contain copyright images illegal, which is most of them of course!
Whether this was actually implemented I don't know.
:dubbio:

Oh I see. Thanks for the info.

Link to comment
Share on other sites

1 hour ago, ArcticFoxie said:

Looks like I didn't take notes beyond what I posted in this thread  --  https://msfn.org/board/topic/182370-extreme-explorer-360-a-how-to-guide-converting-remaining-chinese-to-english/

Hope that helps.

I didn't know there was a program that could unpack the "resources.pak" file! That makes some actions much easier for me. Now the only problem I have is that in this place when I get some kind of error with the page or with the certificates (I think) I get this in Chinese. Do you know where this can be located?

Screenshot: https://drive.google.com/file/d/1Ps_us8DxCPQ1MstTwwh4LoOV7knwlyVx/view?usp=sharing

Link to comment
Share on other sites

Unsure.  I don't get that error.  As a general practice, I DISABLE any-and-all "certificate checks", "revocation", and the like.

To me (I know everybody has their own preference on the topic), but TO ME, "certificate errors" are USELESS and akin to "shouting fire in a theater when there is no fire" or akin to "antivirus errors that are false positives".

Link to comment
Share on other sites

Well, I have uploaded the modified version of v9 on Mediafire. 

https://www.mediafire.com/file/vrulo92hek8761u/360EE_9.5.0.138.7z/file (Newer one ahead)

I want feedback to see if I can continue with v11. This is a lot of fun! :D

I will upload a pastebin explaining each change I made to the files.

If this modified version is clean I would like to ask if it is possible or necessary for me to open a new thread where I post everything related to this modification (I think it would be more organized).

And by the way, the welcome page is a surprise!

Greetings.

Edited by Humming Owl
This v9 modification is old
  • Like 1
Link to comment
Share on other sites

15 hours ago, Humming Owl said:

Well, I have uploaded the modified version of v9 on Mediafire. 

https://www.mediafire.com/file/vrulo92hek8761u/360EE_9.5.0.138.7z/file

I want feedback to see if I can continue with v11. This is a lot of fun! :D

I will upload a pastebin explaining each change I made to the files.

If this modified version is clean I would like to ask if it is possible or necessary for me to open a new thread where I post everything related to this modification (I think it would be more organized).

And by the way, the welcome page is a surprise!

Greetings.

Hi,

 

I just installed it, works much faster than Firefox, although it warns me of certificate incompatibilities every time I go to a new website. I am not really tech savvy so I wanted to ask you to be sure, are the modifications you made designed to prevent the excessive telemetry of the original version?

 

thank you

Link to comment
Share on other sites

For me the modded 360 v9 works completely fine. No certificate issues and so far all websites I tested load and display completely fine, including ebay and amazon. Youtube does also work and is much quicker to navigate than on any firefox-based browser for XP. Are your certificates up to date?

  • Like 1
Link to comment
Share on other sites

The modded v9 works well here also.

Google Voice does not work as far as making calls in v9, v11, or v12.

v9 (at least the modded) does download .csv files from Google Sheets (v13 does not).

I have started using v13 Build 1006 for testing purposes.

I do not prescribe to the "newer is better" paradigm and most of v13's "updates" have little (if anything) to do with the "rendering engine".

Build 1032 was the next build after Build 1006 and that is when the I-would-not-recommend "Security Options" settings/"feature" tab appeared and also when the default skin started its own telemetry DNS connection(s).

spacer.png

spacer.png

Link to comment
Share on other sites

On 6/24/2021 at 2:27 PM, Greyfox77 said:

Hi,

 

I just installed it, works much faster than Firefox, although it warns me of certificate incompatibilities every time I go to a new website. I am not really tech savvy so I wanted to ask you to be sure, are the modifications you made designed to prevent the excessive telemetry of the original version?

 

thank you

Hello! 

Yes, part of the modifications cut the browser connections to the Chinese servers, and the others change the home page, welcome page, search engines and some buttons that I think are a bit annoying (the 360 account login button in the favorites button and in the menu). Don't worry I don't have much experience with all this stuff either. Those certificate issues may be the cause of you not being able to load those sites, I can load and view them with no problems.

In the first comment of this thread there is a way to update Windows XP certificates. 

https://msfn.org/board/topic/182794-updated-browser-list-for-windows-xp/#comments

Here is another link that might be useful

http://retrosystemsrevival.blogspot.com/2021/03/certificate-updates-for-windows.html

I don't know the procedure to do it but if you encounter any problems doing it I can help you.

Cheers.

 

Edited by Humming Owl
Link to comment
Share on other sites

23 hours ago, athlonxpuser said:

For me the modded 360 v9 works completely fine. No certificate issues and so far all websites I tested load and display completely fine, including ebay and amazon. Youtube does also work and is much quicker to navigate than on any firefox-based browser for XP. Are your certificates up to date?

 

9 hours ago, ArcticFoxie said:

The modded v9 works well here also.

Nice to read that. :)

I will then try to modify v11 and see that google voice issue you are getting to see if I can do something about it.

Cheers.

Link to comment
Share on other sites

Google Voice doesn't work with an untouched original v9, v11, or v12.

It requires v13 and it's not dependent on whether we mod v13 or not.

I haven't tested with untouched Chromium versions to see which minimum Chromium version is required.

  • Like 1
Link to comment
Share on other sites

Here is one (among dozens) of English issues I have with 360 Chrome.

I screen-cap'd this from the modded v9.

This spelling error (call it obsessive if you like) exists in ALL versions of 360 Chrome.

This spelling error is one of the messages that is displayed when you run the Speedup utility.

spacer.png

 

But it IS fixable.

Here is a screen-cap from my modded v13 build 2206.

Note that I also put a SPACE between Can release: and the actual number (again, call it obsessive if you like).

spacer.png

 

I also capitalized More and Speedup in the More settings for Speedup link at the bottom of the Speedup Utility and the Speedup count messages along the right (yes, again, call it obsessive if you like).

Edited by ArcticFoxie
  • Like 1
Link to comment
Share on other sites

Based on some of the Chinese/Russian update logs, it appears that the May 13, 2021 Build 2250 is the last of the v13.0 branch (ie, version 13.0.2250.0).

It appears that upstream has moved on to the v13.5 branch (June 8, 2021 = version 13.5.1020.0).

I'm pulling the release dates and update logs from here - http://forum.ru-board.com:9000/topic.cgi?forum=5&topic=50612&start=0&limit=1&m=31

I'm seeing this as a good time for me to officially upgrade from the 13.0 Build 2206 that I have been using and port all my mods to 13.0 Build 2250.

I'm not sure of where to find the "official" update logs and I've seem some v13.1 releases - but even those indicate that 13.0.2250.0 is going to be the last in the 13.0 branch.

I'll attempt to document all of my mods along the way a bit better than the last time around.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    No registered users viewing this page.


×
×
  • Create New...